//drawRadar()


//draw radar border
draw_set_color(c_white)
draw_set_alpha(0.1)
draw_circle(global.radarcx, global.radarcy, global.radarRadius+10, false)
draw_set_alpha(.4)
draw_circle(global.radarcx, global.radarcy, global.radarRadius+10, true)
draw_set_alpha(1.0)
draw_set_color(c_black)
draw_circle(global.radarcx, global.radarcy, global.radarRadius, false)

//draw player/loop 
draw_set_color(c_white)
draw_set_alpha(.1)
var radiusScaled = (global.radius/global.radarRange)*global.radarRadius
draw_circle(global.radarcx, global.radarcy, radiusScaled,true)
draw_set_color(c_blue)
draw_set_alpha(0.5)
draw_circle(global.radarcx+radiusScaled*cos(degtorad(global.angle)),
            global.radarcy-radiusScaled*sin(degtorad(global.angle)), 3, false)
            

//draw individual dots for each incoming
var num = instance_number(o_rock)
for(k=0; k<num; k+=1) {
 var obj = instance_find(o_rock, k)
 var dir = point_direction(global.cx, global.cy, obj.x, obj.y)
 var dis = point_distance(global.cx, global.cy, obj.x, obj.y)
    
 if dis < global.radarRange and dis > (global.radius-99) {
  var scaleRadius = (dis/global.radarRange)*global.radarRadius
  var xp = scaleRadius*cos(degtorad(dir))
  var yp = -scaleRadius*sin(degtorad(dir))
  draw_set_color(c_white)
  draw_set_alpha(0.2)
  draw_circle(global.radarcx+xp,global.radarcy+yp,4, false)
  }

} //end for

  