//drawStuff()

//stats
draw_set_color(c_white)
draw_text(50,50, string_hash_to_newline("Vel: " + string(global.vel)) )
draw_text(50,70, string_hash_to_newline("Acc: " + string(global.acc)) )
draw_text(50,90, string_hash_to_newline("Dacc:" + string(global.dacc)) )


//shaded path circle
draw_set_color(c_white)
draw_set_alpha(0.1)
draw_set_circle_precision(64)
draw_circle(global.cx, global.cy, global.radius+5,false)

draw_set_color(c_black)
draw_set_alpha(1)
draw_set_circle_precision(64)
draw_circle(global.cx, global.cy, global.radius-5,false)

//player
draw_set_color(c_white)
draw_set_alpha(0.6)
draw_circle(global.px, global.py, 10, false)
draw_set_color(c_black)
draw_set_alpha(1.0)
draw_circle(global.px,global.py, 4, false)

//draw fuel
draw_set_color(c_white)
draw_set_alpha(0.6)
var xp=global.fuelposx
var yp=30
var width=400; var height=40; var border=5;
var perc= global.fuel/100.0
draw_roundrect(xp-width/2.0, yp, xp+width/2.0, yp+height, false)
draw_set_color(c_white)
draw_set_alpha(0.6)
draw_rectangle(xp-width/2.0+border, yp+border, xp+width/2.0 - border, yp+height-border, false)
draw_set_alpha(0.5)
if perc>=.35
  draw_set_color(c_green)
else if perc>=.20
  draw_set_color(c_orange)
else
  draw_set_color(c_red)
draw_rectangle(xp-perc*(width/2.0-border), yp+border, xp+perc*(width/2.0-border), yp+height-border, false)
draw_set_alpha(1.0)

//draw damage
draw_set_color(c_white)
draw_set_alpha(0.6)
var xp=global.damageposx
var yp=730
var width=400; var height=40; var border=5;
var perc= global.damage/100.0
draw_roundrect(xp-width/2.0, yp, xp+width/2.0, yp+height, false)
draw_set_color(c_white)
draw_set_alpha(0.6)
draw_rectangle(xp-width/2.0+border, yp+border, xp+width/2.0 - border, yp+height-border, false)
draw_set_alpha(0.5)
draw_set_color(c_red)
draw_rectangle(xp-perc*(width/2.0-border), yp+border, xp+perc*(width/2.0-border), yp+height-border, false)
draw_set_alpha(1.0)